<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Document</title>
</head>



<body>
    



    
    
    <script>

sum = function(a, b) {
   return a + b;
};  

sub = function(a, b) {
    return a - b;
};

multi = function(a, b) {
    return a * b;
};

division = function(a, b) {
    return a / b;
};


        var a = +prompt('введите первое число');
        var operation = prompt('укажите требуемую операцию: "+", "-", "*", "/" ');
        var b = +prompt('введите первое число');
        var result;

if (operation == "+") {
    document.write(result = sum(a,b));
}

if (operation == "-") {
    document.write(result = sub(a,b));
}

if (operation == "*") {
    document.write(result = multi(a,b));
}

if (operation == "/") {
            if (b == 0) {
                document.write("ERROR! : деление невозможно");
                console.log("ERROR! : деление невозможно")
                }
         else if (operation == "/") {
         document.write(result = division(a,b));
         };

}





    </script>
</body>
</html>